import os
import Module1
import Module2

for i in range(1, 3):
    while True:
        filename = os.path.abspath(input(f"Введите имя {i}-го файла: "))

        if not os.path.isfile(filename):
            print("Ошибка: введено неверное имя файла")
            continue

        newList = Module1.readList(filename)

        if not newList:
            print("Ошибка: в данном файле содержится пустой список значений")
            continue

        globals()[f"list{i}"] = newList
        break

correlation = Module2.calculateCorrelation(list1, list2)
if correlation is not None:
    print(f"Коэффициент корреляции равен: {correlation:.3f}")
